import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkVehicleVinInputContainer {
    /**
     * Value of input
     */
    value: string;
    /**
     * The id of the answer associated with this field
     */
    answerId: string;
    code: string;
    useExternal: boolean;
    touched: boolean;
    pristine: boolean;
    errors: string[];
    vinUpdate: EventEmitter<{
        vin: string;
        answerId: string;
    }>;
    el: HTMLBpSdkVehicleVinInputContainerElement;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    loadFocusEvents(): void;
    unloadFocusEvents(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    onValueUpdate(evt: CustomEvent): void;
    updateErrors(pristine: boolean, touched: boolean, value: string): void;
    onMakeDirty(): void;
    onFocusOut: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
